export default {
  welcome: 'Welcome',
  title: 'SOCAVES',
  error: 'Error occurred',
  login_error: `Could not login`,
  info: 'Info',
  no_post: 'No post yet',
  follower: 'Follower',
  following: 'Following',
  home: 'Home',
  profile: 'Profile',
  profile_pic_change: 'Change',
  profile_pic: 'Profile Picture',
  settings: 'Settings',
  settings_saved: 'Settings successfully updated',
  chat_title: 'Chat',
  username: 'Username',
  lang: 'Language',
  login_signup: 'Login/Signup',
  logout: 'Logout',
  name: 'Name',
  coming_soon: 'Coming Soon...',
  signup: {
    notice: 'By signing up you agree to our',
    terms_conditions: 'Terms And Conditions',
    and: ' and ',
    cookie_policy: 'Cookies Policy',
  },
  search: {
    title: 'Search',
    post: 'Post',
    user: 'User',
    no_result: 'No result found',
    try_search: 'Try To Search "Socaves"',
  },
  login_only: 'Please login or signup',
  suggested: 'Suggested',
  message: 'Message',
  guest: 'Guest',
  donate: 'Donate',
  join_us_now: 'JOIN US NOW',
  take_few_min: 'Only take you few minutes!',
  give_coffee: 'Buy us a coffee',
  pull_to_refresh: 'Pull down to refresh',
  release_to_refresh: 'Release to refresh',
  refreshing: 'Refreshing',
  search_bar: 'Search socaves',
  user: {
    follow: 'Follow',
    add: 'Add',
    remove: 'Remove',
    following: 'Following',
    friend: 'Friend',
    edit: 'Edit Profile',
    post: 'Post',
    followers: 'Followers',
    close_frd: 'Close Friend',
  },
  uploader: {
    MAX_ITEM_EXCEEDED:
      'The Maximum number of items has been exceeded ({num} items only)',
    IMAGE_FILE_TOO_LARGE: 'Image too large, maximum file size is 15MB ({name})',
    VIDEO_FILE_TOO_LARGE:
      'Video too large, maximum file size is 200MB ({name})',
    FILE_TYPE_NOT_SUPPORTED: 'File type is not supported ({name})',
  },
  comment: {
    delete_title: 'Delete Comment',
    delete_message: 'Are you sure you want to delete this comment?',
    delete_ok: 'Successfully deleted the comment',
    reply: 'Reply',
    more: 'More',
    author: 'Author',
    view_annotation: 'View annotation',
    view_img: 'View image',
  },
  post: {
    reported: 'Report successfully',
    edited: 'Edited',
    new: 'New post',
    post: 'Post',
    media: 'Media',
    placeholder: 'What are your thoughts, {name}?',
    write_something: 'Write something …',
    create: 'Create post',
    edit_img: 'Edit image',
    edit: 'Edit',
    annotation: 'Annotation',
    save: 'Save',
    see_more: 'See more',
    show_less: 'Show less',
    photo: 'Photo',
    video: 'Video',
    photo_or_video: 'Photo/Video',
    max_item_exceeded:
      'You can only upload 10 file at a time. Some items are not uploaded.',
    like: '{num} like',
    comment_title: 'comment',
    comment: '{num} comment',
    share: '{num} share',
    delete_title: 'Delete Post',
    delete_message: 'Are you sure you want to delete this post?',
    delete_ok: 'Successfully deleted the post',
    delete: 'Delete',
    report: 'Report',
    cancel: 'Cancel',
    copy: 'Copy',
    repost: 'Repost',
    more: 'More',
    copy_link: 'Copy link',
    posting: '✨ Magic in the cave, please wait',
  },
  chat: {
    title: 'Chat',
    last_chat: 'Last chats',
    no_message: 'No Message',
    tips: 'Send photos, videos, and message privately to friends',
    settings: 'Setting',
    settingAccount: 'Account',
    setting_notice: 'Notice',
    setting_others: 'Others',
    setting_notice_sound: 'Notice sound',
    setting_notice_sound_description: 'use notice sound to notify you',
    blockedUser: 'Blocked User',
    Help: 'Help',
    search_bar: 'Search or start a new chat',
    view_profile: 'view your profile',
    placeholder: 'Message',
    send: 'Send',
    media: 'Media',
    Online: 'Online',
    hello: 'Hello, where are you now ?',
    warning: 'Your browser does not support the audio element.',
    time: '11:47',
    name: 'SOCAVES',
    username: 'tonywong689',
  },
  voideMessage: {
    username: 'Beta Yip',
    message: 'Dialing . . .',
    disconnect: 'Disconnect',
  },
  account: {
    error_receive_email: "Didn't receive the email?",
    resend_email: 'Resend Email',
    deleted_msg: 'Account successfully deleted',
    save: 'Save',
    login: 'Log in',
    login_caption: 'the new age of social media',
    email: 'Email',
    email_or_username: 'Email or username',
    password: 'Password',
    forgot_password: 'forgot your password?',
    new_here: 'New here?',
    create: 'Create an account.',
    join_us: 'JOIN US',
    sign_up: 'Sign Up',
    name: 'Name',
    cpassword: 'Confirm password',
    secure_password: 'Secure password',
    almost_there: 'ALMOST THERE!',
    verify_account: ' Please verify your account',
    email_sent: 'Email sent to {email}',
    junk_mail_check: 'Please also check your junk mail folder',
    back_to_login: 'Back to login',
    recovery: 'Recovery',
    recovery_caption: 'Forgot password',
    enter_email: 'Enter your email',
    reset_password: 'Reset password',
    email_sent_title: 'EMAIL SENT',
    follow_instructions: 'Please follow the instructions in the email',
    username: 'Username',
    reset_email_sent: 'Reset password email sent',
    delete: 'Delete my account',
    new_password: 'Enter a new password',
    confirm: 'Confirm',
    del_msg: 'Enter "{username}" to confirm',
    del_warn:
      'Once your account has been deleted, there is no way to recover it',
  },
  rules: {
    min: '{field} must have at least {len} characters',
    max: '{field} cannot be more than {len} characters',
    required: '{field} is required',
    email: 'Invalid email address format',
    at_least_one_number: 'At least one number (0-9)',
    at_least_one_lowercase: 'At least one lower case letters (a-z)',
    at_least_one_uppercase: 'At least one upper case letters (A-Z)',
    at_least_one_special_char: 'At least one special character (e.g. !@#$%^&*)',
    username: 'Only period(.), underscore(_), numbers and alphabet is allowed',
    only_one_period_in_a_row: `You can't have more than one period in a row`,
    no_start_with_period: `You can't start with a period`,
    no_end_with_period: `You can't end with a period`,
    enter_valid_username_or_email: 'Please enter a valid username or email',
  },
  auth: {
    unauthorized_client: 'Cross origin login not allowed.',
    unsupported_credential_type: 'Unknown credential type parameter.',
    invalid_request: 'Unknown realm non-existent-connection.',
    access_denied: 'Wrong email or password.',
    blocked_user: 'Blocked user',
    password_leaked: `This login attempt has been blocked because the password you're using was previously disclosed through a data breach (not in this application).`,
    too_many_attempts: `We have detected suspicious login behavior and further attempts will be blocked.`,
    invalid_password: `password used doesn't comply with the password policy for the connection`,
    invalid_signup: 'The user your are attempting to sign up is invalid',
    password_dictionary_error: 'The chosen password is too common',
    password_no_user_info_error:
      'The chosen password is based on user information',
    password_strength_error: 'The chosen password is too weak',
    unauthorized: 'Cannot sign up for this application.',
    unverified_email: 'Your email is not verified',
    user_exists: 'The user you are attempting to sign up has already signed up',
    username_exists:
      'The username you are attempting to sign up with is already in use',
    email_exists:
      'The email you are attempting to sign up with is already in use',
  },
  email: {
    congratulation: 'Congratulations!',
    success: ' your email has successfully been verified',
    back: ' Back to home',
  },
  error_message: {
    not_available: 'Sorry, this page is not available',
    broken_link: 'This link may be broken or being removed',
    back_previous_page: 'Back to Previous Page',
    back_home_page: 'Go to Home Page',
  },
  callback: {
    call: 'callback1',
  },
  video: {
    submit: 'submit',
    test: 'test',
  },
  number_format: {
    K: 'K',
    M: 'M',
    B: 'B',
    T: 'T',
  },
  time: {
    year: 'year',
    over: 'over',
    hour: 'hour',
    month: 'month',
    minute: 'minute',
    day: 'day',
    ago: 'ago',
    short_year: 'yr',
    short_hour: 'hr',
    short_month: 'month',
    short_minute: 'min',
    short_day: 'day',
    just_now: 'Just now',
  },
  privacy: {
    PUBLIC: 'Public',
    PRIVATE: 'Only Me',
    FRIENDS: 'Friends',
    CUSTOM: 'Close Friend',
  },
  permission: {
    title: 'Permissions',
    info: 'Some functions are disabled by the author',
    selected: '{num} Selected',
    NO_ANNOTATION: 'Disable annotation',
    NO_COMMENT: 'Disable comment',
    NO_REPLY: 'Disable reply',
    NO_SHARE: 'Disable repost',
    NO_DEL_COMMENT: 'Disable comment delete',
    NO_LIKE: 'Disable like',
  },
};
